> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Phone Numbers

> Retrieve all phone numbers available to the company (both company-owned and agency-assigned)



## OpenAPI

````yaml GET /settings/phone
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /settings/phone:
    get:
      summary: List Phone Numbers
      description: >-
        Retrieve all phone numbers available to the company (both company-owned
        and agency-assigned)
      responses:
        '200':
          description: Phone numbers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumberList'
        '401':
          description: Unauthorized - Invalid or missing API key
      security:
        - CompanyApiKey: []
components:
  schemas:
    PhoneNumberList:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                nullable: true
                description: Null if not yet saved
              owner:
                type: string
                enum:
                  - company
                  - agency
              integration:
                type: string
                enum:
                  - twilio
                  - vonage
                  - telnyx
                  - sip
              type:
                type: string
                enum:
                  - phone_number
                  - verified_caller_id
              country:
                type: string
              friendly_name:
                type: string
              phone_number:
                type: string
              agent:
                type: object
                nullable: true
                properties:
                  id:
                    type: string
                  name:
                    type: string
              rebill_on:
                type: boolean
              inbound_cost:
                type: number
              outbound_cost:
                type: number
              charge_per_second:
                type: boolean
                description: For SIP only
              sip_uri:
                type: string
                description: For SIP only
              sip_username:
                type: string
                description: For SIP only
              sip_password:
                type: string
                description: For SIP only
        integration:
          type: boolean
          description: True if company has telephony integration
  securitySchemes:
    CompanyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Company API Key

````